micro_utils.dokka
0.15.1

# StartLauncherPlugin

object StartLauncherPlugin : StartPlugin

Default startup plugin. See setupDI and startPlugin for more info

## Functions

setupDI
Link copied to clipboard
open override fun <Error class: unknown class>.setupDI(config: JsonObject)

Will deserialize Config from config, register it in receiver Module (as well as CoroutineScope and kotlinx.serialization.json.Json)

startPlugin
Link copied to clipboard
open suspend override fun startPlugin(koin: <Error class: unknown class>)

Takes CoroutineScope and Config from the koin, and call starting of each plugin from Config.plugins ASYNCHRONOUSLY. Just like in setupDI, in case of fail in some plugin it will be reported using logger